Skip to main content
GET
/
kyb
/
forms
/
{id}
/
company
cURL
curl --request GET \
  --url https://api.example.com/kyb/forms/{id}/company/ \
  --header 'Authorization: Bearer <token>'
{
  "companyName": "<string>",
  "country": "AF",
  "registrationNumber": "<string>",
  "region": "<string>",
  "type": "<string>",
  "phone": "<string>",
  "website": "<string>",
  "email": "jsmith@example.com",
  "brandNames": [],
  "activityCode": "<string>",
  "tin": "<string>",
  "operatingAddress": "<string>",
  "postalAddress": "<string>",
  "postcode": "<string>",
  "street": "<string>",
  "city": "<string>",
  "additionalInfo": {}
}

Authorizations

Authorization
string
header
required

Authentication for actions with all operations associated with KYB form.
Token obtained from KYB form token generation endpoint as tokenString value.

Path Parameters

id
string
required

A unique value identifying this company.

Response

200 - application/json
companyName
string
required
Maximum string length: 255
country
enum<string>
required
Available options:
AF,
AX,
AL,
DZ,
AS,
AD,
AO,
AI,
AQ,
AG,
AR,
AM,
AW,
AU,
AT,
AZ,
BS,
BH,
BD,
BB,
BY,
BE,
BZ,
BJ,
BM,
BT,
BO,
BQ,
BA,
BW,
BV,
BR,
IO,
BN,
BG,
BF,
BI,
CV,
KH,
CM,
CA,
KY,
CF,
TD,
CL,
CN,
CX,
CC,
CO,
KM,
CG,
CK,
CR,
CI,
HR,
CU,
CW,
CY,
CZ,
CD,
DK,
DJ,
DM,
DO,
EC,
EG,
SV,
GQ,
ER,
EE,
SZ,
ET,
FK,
FO,
FJ,
FI,
FR,
GF,
PF,
TF,
GA,
GM,
GE,
DE,
GH,
GI,
GR,
GL,
GD,
GP,
GU,
GT,
GG,
GN,
GW,
GY,
HT,
HM,
HN,
HK,
HU,
IS,
IN,
ID,
IR,
IQ,
IE,
IM,
IL,
IT,
JM,
JP,
JE,
JO,
KZ,
KE,
KI,
XK,
KW,
KG,
LA,
LV,
LB,
LS,
LR,
LY,
LI,
LT,
LU,
MO,
MG,
MW,
MY,
MV,
ML,
MT,
MH,
MQ,
MR,
MU,
YT,
MX,
FM,
MD,
MC,
MN,
ME,
MS,
MA,
MZ,
MM,
NA,
NR,
NP,
NL,
NC,
NZ,
NI,
NE,
NG,
NU,
NF,
KP,
MK,
MP,
NO,
OM,
PK,
PW,
PS,
PA,
PG,
PY,
PE,
PH,
PN,
PL,
PT,
PR,
QA,
RE,
RO,
RU,
RW,
BL,
SH,
KN,
LC,
MF,
PM,
VC,
WS,
SM,
ST,
SA,
SN,
RS,
SC,
SL,
SG,
SX,
SK,
SI,
SB,
SO,
ZA,
GS,
KR,
SS,
ES,
LK,
SD,
SR,
SJ,
SE,
CH,
SY,
TW,
TJ,
TZ,
TH,
TL,
TG,
TK,
TO,
TT,
TN,
TR,
TM,
TC,
TV,
UG,
UA,
AE,
GB,
UM,
US,
UY,
UZ,
VU,
VA,
VE,
VN,
VG,
VI,
WF,
EH,
YE,
ZM,
ZW
registrationNumber
string | null
Maximum string length: 100
region
string | null
Maximum string length: 2
type
string | null
Maximum string length: 100
phone
string | null

Phone number in E.164 format.

Maximum string length: 128
website
string<uri> | null
Maximum string length: 200
email
string<email> | null

Email address.

Maximum string length: 254
brandNames
string[]
Maximum array length: 10
Maximum string length: 100
activityCode
string | null
Maximum string length: 8
tin
string | null

Taxpayer identification number.

Maximum string length: 32
operatingAddress
string | null
Maximum string length: 255
postalAddress
string | null

Registration address.

Maximum string length: 255
postcode
string | null
Maximum string length: 20
street
string | null
Maximum string length: 100
city
string | null
Maximum string length: 100
additionalInfo
object